mocktail_image_network 1.1.0 copy "mocktail_image_network: ^1.1.0" to clipboard
mocktail_image_network: ^1.1.0 copied to clipboard

A Dart package which allows you to mock Image.network in your widget tests with confidence using the mocktail package.

1.1.0 #

  • feat: add customizable imageBytes to mockNetworkImages (#214)
  • chore: remove deprecated lint rules
  • docs: adjust LICENSE year

1.0.0 #

  • refactor: use more strict analysis options (#203)
  • docs: improve example in README
  • docs: adjust LICENSE year
  • docs: add topics to pubspec.yaml

0.3.1 #

  • fix: pass onDone callback (#120)

0.3.0 #

  • feat: upgrade to mocktail ^0.3.0

0.3.0-dev.1 #

  • feat: upgrade to mocktail ^0.3.0-dev.1

0.2.0 #

  • feat: upgrade to mocktail ^0.2.0

0.1.0 #

  • feat: upgrade to mocktail ^0.1.0

0.0.2-dev.1 #

  • BREAKING: feat!: upgrade to mocktail v0.0.2-dev'

0.0.1-dev.1 #

  • feat: initial release 🎉
48
likes
140
pub points
91%
popularity

Publisher

verified publisherfelangel.dev

A Dart package which allows you to mock Image.network in your widget tests with confidence using the mocktail package.

Homepage
Repository (GitHub)
View/report issues

Topics

#mock #test

Documentation

API reference

License

MIT (LICENSE)

Dependencies

mocktail

More

Packages that depend on mocktail_image_network